# Interface PopupContentExtensionProperties

Properties that can be passed into the constructor for PopupContentExtension.

interface PopupContentExtensionProperties {
content?: Content | ContentProperties;
failureMode?: FailureMode;
id?: string;
summaryHiddenFields?: string[];
visibleInSummary?: boolean;
}

#### Hierarchy (view full)

- EntityBaseProperties
  - PopupContentExtensionProperties

#####
Index

### Properties

content?
failureMode?
id?
summaryHiddenFields?
visibleInSummary?

##
Properties

### `Optional` content

content?: Content | ContentProperties

The ESRI Content instance to be extended.

### `Optional` failureMode

failureMode?: FailureMode

See support/InitializableBase!InitializableBase.failureMode.

Inherited from EntityBaseProperties.failureMode

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityBaseProperties.id

### `Optional` summaryHiddenFields

summaryHiddenFields?: string[]

Names of fields that will be hidden when displayed in the a summary view. This property is only applied to "fields" Content types.

### `Optional` visibleInSummary

visibleInSummary?: boolean

Whether the Content is visible when being displayed in a summary view.